# Django Developer Test Material

This test is designed to assess a candidate's ability to accurately implement a static webpage design using HTML, CSS, and JavaScript into Django CMS. 

Candidates are expected to complete the test mostly from scratch, adhering to a few rules and instructions below.


## Rules and Guidelines

These are largely due to best practices and opinions adopted and formulated within our team. 

Take note of the following rules:

- You may use any front-end component library such as Bootstrap.
- You may use any comprehensive, monolithic javascript libraries like jQuery or Prototype. 
- You are free to use smaller javascript libraries that are well-maintained.
- You may use a site generator like yeoman or assemble.
- You may use an advanced frontend view library such as vuejs, reactjs, or angularjs.
- You may use mixins, resets, and starter code like normalize.css or HTML5 boilerplate.
- You may use a CSS pre-processor such as SASS/SCSS or LESS. 
- You may use front end web tooling (webpack, gulp, etc).
- You may liberally choose options from the above, but note that our preferences are noted here.


## Instructions

Create a static HTML page that reproduces the design as provided in the issues section of GitLab. 

We are looking for feature completeness and an attention to detail, resulting in an accurate implementation of the design built with DRY, responsive, modular, clean, and well-documented code that utilizes modern web development techniques, and is generally viewable on different browsers and screen sizes (Resposive page). 

Your project will be primarily reviewed in Google Chrome on a PC, Mac or on Android.

- All assets, including images, fonts, logos, etc can be found in the assets directory.
- All required fonts can be included directly from Google Fonts (https://fonts.google.com/).
- Fonts and colors to use are specified in the style guide.
- Contributing improvements, interactivity, or enhancements such as animations, hover states, transitions, etc are encouraged.
- Include all the source code in your solution.
- Include any config necessary to run any scripts or build processes in your solution.
- Include attribution of any dependencies used in your source code.


## Get Started

- Clone this repo to your own git.
- Commit all your code to your own repo.
- Provide public access to review your code upon completion. The expectation is that we will pull down your code, build and/or run it locally on our computers.

